{% extends "customers/base.html" %}
{% load staticfiles %}
{% load active_tag %}
{% load widget_tweaks %}

{% block pagelevelcss %}
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker.min.css' %}" rel="stylesheet" />
  <link href="{% static 'assets/plugins/bootstrap-datepicker/dist/css/bootstrap-datepicker3.min.css' %}" rel="stylesheet" />
{% endblock %}

{% block title %}Editar Trabajador{% endblock %}

{% block page %}
	<!-- begin breadcrumb -->
	<ol class="breadcrumb float-xl-right">
		<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
		<li class="breadcrumb-item"><a href="{% url 'worker-list' %}">Trabajadores</a></li>
    <li class="breadcrumb-item"><a href="{% url 'worker-detail' pk=worker.pk %}">{{ worker.pk }}</a></li>
    <li class="breadcrumb-item active">Editar Trabajador</li>
	</ol>
	<!-- end breadcrumb -->

	<!-- begin page-header -->
	<h1 class="page-header">{{ worker.name }}</h1>
	<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
		<!-- begin col-12 -->
		<div class="col-xl-6 ui-sortable">
			<!-- begin panel -->
			<div class="panel panel-inverse" data-sortable-id="ui-general-1">
				<!-- begin panel-heading -->
				<div class="panel-heading ui-sortable-handle">
					<h4 class="panel-title">Editar Trabajador</h4>
					<div class="panel-heading-btn">
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
						<a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
					</div>
				</div>
				<!-- end panel-heading -->
				<!-- begin panel-body -->
				<div class="panel-body">
          <div class="row mb-3">
            <div class="col-sm-12 col-md-12">
              <button id="cancel-button" type="button" class="btn btn-default btn-sm pull-right ml-1"><i class="fa fa-window-close"></i></button>
              <button id="save-button" type="button" class="btn btn-success btn-sm pull-right ml-1"><i class="fa fa-save"></i></button>
            </div>
          </div>

            <form id="worker-form" class="form-horizontal" method="post">
              {% csrf_token %}
              {{ form.media }}
              <div class="tab-content">
                <div id="general" role="tabpanel" class="tab-pane active">
                  <div class="form-group row m-b-15">
                    <label for="id_first_name" class="col-form-label col-md-3">Nombre</label>
                    <div class="col-sm-9">
                      {% render_field form.first_name class="form-control m-b-5" %}
                      {% for error in form.first_name.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_last_name" class="col-form-label col-md-3">Apellido</label>
                    <div class="col-sm-9">
                      {% render_field form.last_name class="form-control m-b-5" %}
                      {% for error in form.last_name.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_gender" class="col-form-label col-md-3">Género</label>
                    <div class="col-sm-9">
                      {% render_field form.gender class="form-control m-b-5" %}
                      {% for error in form.gender.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_address" class="col-form-label col-md-3">Dirección</label>
                    <div class="col-sm-9">
                      {% render_field form.address class="form-control m-b-5" %}
                      {% for error in form.address.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_phone" class="col-form-label col-md-3">Teléfono</label>
                    <div class="col-sm-9">
                      {% render_field form.phone class="form-control m-b-5" %}
                      {% for error in form.phone.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_email" class="col-form-label col-md-3">Correo</label>
                    <div class="col-sm-9">
                      {% render_field form.email class="form-control m-b-5" %}
                      {% for error in form.email.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_base_salary" class="col-form-label col-md-3">Salario</label>
                    <div class="col-sm-9">
                      {% render_field form.base_salary class="form-control m-b-5" %}
                      {% for error in form.base_salary.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_currency" class="col-form-label col-md-3">Moneda</label>
                    <div class="col-sm-9">
                      {% render_field form.currency class="form-control m-b-5" %}
                      {% for error in form.currency.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_entry_date" class="col-form-label col-md-3">Fecha de Ingreso</label>
                    <div class="col-sm-9">
                      {% render_field form.entry_date class="form-control datepicker" %}
                      {% for error in form.entry_date.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_document_type" class="col-form-label col-md-3">Tipo de Documento</label>
                    <div class="col-sm-9">
                      {% render_field form.document_type class="form-control m-b-5" %}
                      {% for error in form.document_type.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_document_number" class="col-form-label col-md-3">Numero de Documento</label>
                    <div class="col-sm-9">
                      {% render_field form.document_number class="form-control m-b-5" %}
                      {% for error in form.document_number.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_position" class="col-form-label col-md-3">Posición</label>
                    <div class="col-sm-9">
                      {% render_field form.job_position class="form-control m-b-5" %}
                      {% for error in form.job_position.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_department" class="col-form-label col-md-3">Departamento</label>
                    <div class="col-sm-9">
                      {% render_field form.job_department class="form-control m-b-5" %}
                      {% for error in form.job_department.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_active" class="col-sm-3 control-label">Activo</label>
                    <div class="col-sm-9">
                      {% render_field form.active %}
                      {% for error in form.active.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>

                  <div class="form-group row m-b-15">
                    <label for="id_company" class="col-form-label col-md-3">Empresa</label>
                    <div class="col-sm-9">
                      {% render_field form.company class="form-control m-b-5" %}
                      {% for error in form.company.errors %}
                      <small class="f-s-12 text-danger">{{ error }}</small>
                      {% endfor %}
                    </div>
                  </div>
            </div>
            <!-- Shipping tab -->
            <div id="shipping" role="tabpanel" class="tab-pane"></div>
        </div>
        </div>
				<!-- end panel-body -->
      </div>
			<!-- end panel -->
    </div>    
	</div>
	<!-- end row -->

	<!-- begin scroll to top btn -->
	<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
  <!-- end scroll to top btn -->
  

{% endblock %}

{% block pageleveljs %}
  <script src="{% static 'assets/plugins/bootstrap-datepicker/dist/js/bootstrap-datepicker.min.js' %}"></script>
  <script type="text/javascript">
    $(document).ready(function(){
      $(".datepicker").datepicker({format: 'dd/mm/yyyy'});

      // save and cancel buttons
      $('#save-button').click(function() {
        $('#worker-form').submit();
      });
      $('#cancel-button').click(function() {
        window.location.href = '../';
      });
    });
  </script>
{% endblock %}